%define url_ver %(echo %{version}|cut -d. -f1,2)
%define _exclude_files_from_autoprov %{_libdir}/%{name}

Name:		gnome-music
Version:	3.24.1.1
Release:	%mkrel 1
Summary:	Music player and management application
License:	GPLv2+
Group:		Sound/Players
URL:		https://wiki.gnome.org/Design/Apps/Music
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(grilo-0.3) >= 0.2.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.8
BuildRequires:	pkgconfig(libmediaart-2.0)
BuildRequires:	pkgconfig(tracker-sparql-1.0)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	itstool
BuildRequires:	libxml2-utils

Requires:	gnome-settings-daemon
Requires:	grilo
Requires:	python3-dbus
Requires:	python3-gobject3
Requires:	tracker
Requires:	task-codec-audio
Recommends:	grilo-plugins

%description
Music is the new GNOME music playing application.

%prep
%autosetup -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{python3_sitelib}/gnomemusic
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}
%{_iconsdir}/*/*/*/*
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Apr 11 2017 ovitters <ovitters> 3.24.1.1-1.mga6
+ Revision: 1096389
- new version 3.24.1.1

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096351
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094068
- new version 3.24.0

* Tue Nov 08 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065826
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059921
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055716
- new version 3.22.0

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011969
- new version 3.20.2

* Wed Apr 27 2016 daviddavid <daviddavid> 3.20.0-2.mga6
+ Revision: 1006936
- use new python macros

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993971
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992196
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 984932
- new version 3.19.91

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961466
- new version 3.19.90

* Mon Feb 15 2016 daviddavid <daviddavid> 3.19.4-1.mga6
+ Revision: 961316
- new version: 3.19.4
- remove merged upstream patch
- add BuildRequires pkgconfig(tracker-sparql-1.0)

* Mon Jan 04 2016 tv <tv> 3.18.2-2.mga6
+ Revision: 919330
- patch for grilo-0.3

* Mon Nov 16 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 903522
- new version 3.18.2

* Wed Oct 07 2015 ovitters <ovitters> 3.18.0-2.mga6
+ Revision: 887024
- rebuild for new python3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882786
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879418
- new version 3.17.92

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871942
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865558
- new version 3.17.90
- new version 3.17.4

* Tue Jun 23 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 841058
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838549
- new version 3.16.1

* Mon Jan 26 2015 ovitters <ovitters> 3.14.3.1-1.mga5
+ Revision: 812286
- new version 3.14.3.1

* Mon Jan 19 2015 ovitters <ovitters> 3.14.3-1.mga5
+ Revision: 811470
- new version 3.14.3

* Sun Jan 04 2015 ovitters <ovitters> 3.14.2-2.mga5
+ Revision: 808385
- require task-codec-audio

* Thu Nov 13 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796739
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 745571
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738312
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719229
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679739
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676798
- new version 3.13.92

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665639
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655496
- new version 3.13.4

* Mon Jun 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639076
- new version 3.13.3

* Sat May 31 2014 pterjan <pterjan> 3.13.2-3.mga5
+ Revision: 629674
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.13.2-2.mga5
+ Revision: 629532
- Rebuild for new Python

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627162
- new version 3.13.2

* Mon May 12 2014 ovitters <ovitters> 3.12.2.1-1.mga5
+ Revision: 622236
- new version 3.12.2.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622227
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613974
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607975
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604414
- new version 3.11.92

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 600234
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593854
- new version 3.11.90

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583245
- new version 3.11.2

* Tue Jan 07 2014 pterjan <pterjan> 3.10.1-4.mga4
+ Revision: 565456
- Add some missing dependencies (mga#11967)

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550163
- fix url

  + fwang <fwang>
    - drop filter

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542162
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497032
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484031
- new version 3.10.0

  + pterjan <pterjan>
    - Remove duplicate lines in %%files

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480354
- new version 3.9.92

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474484
- new version 3.9.91

* Tue Aug 20 2013 fwang <fwang> 3.9.90-2.mga4
+ Revision: 468055
- tweak requires so that it won't confllicts with gnome-documents

* Tue Aug 20 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468047
- update file list
- imported package gnome-music

